#
# spec file for package tmate
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tmate
Version:        2.4.0
Release:        5.5
Summary:        Instant terminal sharing
License:        MIT
Group:          Productivity/Networking/Other
URL:            https://tmate.io
Source:         https://github.com/tmate-io/tmate/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libssh) >= 0.6.1
BuildRequires:  (pkgconfig(msgpack-c) >= 3.0.0 or pkgconfig(msgpack) >= 3.0.0)
BuildRequires:  pkgconfig(tinfo)

%description
Tmate is a fork of tmux providing an instant pairing solution.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
./autogen.sh
# msgpack has changed name but tmate is not yet updated.
# Overrides like MSGPACK_CFLAGS need to be non-empty for configure.ac to
# recognize it as an override, therefore there is an extra space in case
# pkgconfig returns that no extra are cflags needed.
%configure MSGPACK_CFLAGS=" $(pkg-config msgpack-c --cflags)" \
	MSGPACK_LIBS="$(pkg-config msgpack-c --libs)"
%make_build

%install
%make_install

%files
%doc CHANGES FAQ README-tmux README.md
%license COPYING
%{_bindir}/tmate
%{_mandir}/man1/tmate.1%{?ext_man}

%changelog
* Fri Nov  3 2023 Jan Engelhardt <jengelh@inai.de>
- Build with more modern version of msgpack (which was renamed
  to msgpack-c in 5.0.0)
* Wed Sep  7 2022 Andreas Schneider <asn@cryptomilk.org>
- Change msgpack BuildRequires to use pkgconfig
* Sun Nov  1 2020 Marcus Rueckert <mrueckert@suse.de>
- fix url
* Fri Feb  7 2020 Ondřej Súkup <mimi.vx@gmail.com>
- cleanup spec
* Mon Nov 18 2019 Andreas Schneider <asn@cryptomilk.org>
- Update to 2.4.0
  * Use tmate.conf instead of tmux.conf
* Mon Oct 14 2019 Andreas Schneider <asn@cryptomilk.org>
- Update to 2.3.1
  - Allow the use of C.UTF-8 locale
* Thu Aug  1 2019 Andreas Schneider <asn@cryptomilk.org>
- Update to 2.3.0
  - Bug fix release to work nicely with libssh-0.9.0
* Wed Mar 30 2016 asn@cryptomilk.org
- Update to 2.2.1
  * Reconnection implemented
  * Bug fixes in synchronizing the key bindings
  * webhooks support added: https://github.com/tmate-io/tmate/wiki/Webhooks
* Thu Mar  3 2016 asn@cryptomilk.org
- At least msgpack 1.1.0 is requried
* Thu Mar  3 2016 dmacvicar@suse.de
- Update to 2.2.0
- add libmsgpack-devel as tmate links to it
  libmsgpackc-devel is used for the pure C header
- Drop tmate-1.8.9-system_libs.patch
  tmate now uses system libs by default
* Tue Feb 11 2014 asn@cryptomilk.org
- Build with system msgpack.
* Mon Feb 10 2014 asn@cryptomilk.org
- Build with system libssh.
* Sat Nov 23 2013 asn@cryptomilk.org
- Initial package
